// ******************************************************************************************
// Mod Name: NewStudiosTycoon
// Mod Id: NewStudiosTycoon_Xerento
// Mod Version: 6.5.0
// Mod File: code.js
// ******************************************************************************************
// Author: Xerento
// Last modified: 02/06/2018 13:01
// ******************************************************************************************
// Notes: This file is loaded from main.js
// ******************************************************************************************

// Create the main mod object (our package)
var NewStudiosTycoon = {};

(function(){

// ******************************************************************************************
// Researches: Engines
// ******************************************************************************************

// Adding 3D Graphics V8
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "df842048-14e3-4009-83e0-fa88e76ffb0a",
	name: "3D Graphics V8",
	canResearch: function () {
							var res = true;
							res =   GameManager.company.isLaterOrEqualThan(34, 2, 1);

						return res;
				},
	category: "Engine",
	categoryDisplayName: "Engine",
	v: 14
	});


// ******************************************************************************************
// Platforms
// ******************************************************************************************

// Adding Veni Power PC
// -----------------------------------------------------------
GDT.addPlatform({
	id:"Veni PowerPC",
	name:"Veni Power PC",
	company:"Veni",
	startAmount:0.2,
	unitsSold:3,
	licencePrize:5E3,
	published:"1/2/3",
	platformRetireDate:"4/3/4",
	developmentCosts:2E3,
	genreWeightings:[  1, 0.9, 0.8, 1, 0.8, 0.8 ],
	audienceWeightings:[  0.9, 1, 1 ],
	techLevel:1,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/PC.png",
	events:[{
	id: "e77331b4-9f77-43f0-a27e-88da82eadabf",
	date: "1/1/3",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Veni Power PC",
	text: "Veni, a new company which launched two weeks ago has announced their very own PC!They said it will try to compete with the PC or even the G64",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/PC.png",
	buttonText: "Cool!",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "ae09b3a4-7f7b-48e7-98ce-e92ab4cdbd7a",
	date: "1/3/2",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Power PC Success",
	text: "The Power PC has been a success!So far it has sold 370K Units! Veni stated that a new Update will be coming out for the PC's Many people are hyped about this!",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/PC.png",
	buttonText: "Great!",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "ff7d4c28-35b7-495d-80c9-a05bb38a1929",
	date: "4/3/4",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Veni Power PC Ending!",
	text: "Power PC impacted the market very well however after 3 years we are saying farewell to it and saying hello to Power PC 2.0 ! Much more people were hyped about the Power PC 2.0!",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/PC.png",
	buttonText: "Awesome News",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding Co-Bax PC
// -----------------------------------------------------------
GDT.addPlatform({
	id:"Co-Bax PC",
	name:"Co-Bax PC",
	company:"Co-Bax",
	startAmount:0.5,
	unitsSold:0,
	licencePrize:1E4,
	published:"1/5/4",
	platformRetireDate:"2/7/3",
	developmentCosts:5E3,
	genreWeightings:[  0.9, 0.9, 0.9, 1, 0.9, 0.9 ],
	audienceWeightings:[  0.8, 0.9, 1 ],
	techLevel:1,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/G64.png",
	events:[{
	id: "bfad397c-7520-45e4-8a19-6315981b7bac",
	date: "1/4/2",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Co-Bax PC",
	text: "Co-Bax another Newcomer is said to compete with the Veni Power PC. The CB+ PC has a 5KB space while the Veni Power PC only has 4KB but Game Devs say the Power PC is better even though the CB+ allows for more stroage. Not many people are following it however it is using the G64s Model which gained it some followers however it might be changed!",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/G64.png",
	buttonText: "Meh",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "7b04112b-c416-4afd-b8db-abe9be4ab8e0",
	date: "2/7/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Co-Bax Pc Fail",
	text: "Co-Bax had a pretty strong start infact it sold so many models on day one that it topled the PowerPc. After a few months sales dropped and they had lost their marketshare fast. Co-Bax are retiring their PC. In total it sold 221 Thousand Units.",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/G64.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding Power PC 2.0
// -----------------------------------------------------------
GDT.addPlatform({
	id:"PowerPc 2",
	name:"Power PC 2.0",
	company:"Veni",
	startAmount:0.44,
	unitsSold:1.9,
	licencePrize:2E4,
	published:"3/9/3",
	platformRetireDate:"8/4/3",
	developmentCosts:1E4,
	genreWeightings:[  1, 0.9, 0.9, 1, 0.7, 0.8 ],
	audienceWeightings:[  0.9, 1, 1 ],
	techLevel:2,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/G64.png",
	events:[{
	id: "e37313f5-bd08-4543-9e25-1cb384126a52",
	date: "3/9/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Power PC 2.0",
	text: "Veni's Competitor Co-Bax had fallen and almost bankrupt. But someone was there for them, Veni. Veni and Co-Bax are now working on Power PC 2.0 and will be out soon! The PC uses The Co-Bax G64 Case and disc drive! However inside is more complex! The PC will be able to hold up to 8KB",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/G64.png",
	buttonText: "Cool",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding Rhino Play
// -----------------------------------------------------------
GDT.addPlatform({
	id:"Rhino Play",
	name:"Rhino Play",
	company:"Veni",
	startAmount:0.14,
	unitsSold:3,
	licencePrize:1E5,
	published:"5/3/2",
	platformRetireDate:"6/3/1",
	developmentCosts:3E4,
	genreWeightings:[  1, 0.8, 0.9, 0.9, 0.9, 1 ],
	audienceWeightings:[  1, 1, 0.9 ],
	techLevel:3,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/RhinoPlay.png",
	events:[{
	id: "0f2a5e75-dfdc-40ef-8a40-5e5099085c3a",
	date: "5/2/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Veni Console?",
	text: "Veni sent in this photo to many Game Magizenes. It does not look like a PC and more like a console. If it is we are sure it will do very well on the market!",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/RhinoPlay.png",
	buttonText: "Maybe....",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "f23588bb-8c32-4ba9-a837-91ce9b03593c",
	date: "5/2/2",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Veni Console!",
	text: "Veni has comfirmed rumours and told us they are working on a console called Rhino Play it will hit the market soon so many people are following it sales of the Power PC 2.0 have went up just for this new console!",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/ku-xlarge.png",
	buttonText: "Cool",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding Power PC 3.0
// -----------------------------------------------------------
GDT.addPlatform({
	id:"PowerPC 3",
	name:"Power PC 3.0",
	company:"Veni",
	startAmount:0.34,
	unitsSold:1.5,
	licencePrize:1E5,
	published:"7/1/1",
	platformRetireDate:"13/1/1",
	developmentCosts:1E5,
	genreWeightings:[  1, 1, 1, 1, 1, 1 ],
	audienceWeightings:[  0.9, 1, 1 ],
	techLevel:3,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/GoPc 3.0.png",
	events:[{
	id: "f95c2322-a777-455e-8777-dec1eaacc2bb",
	date: "6/12/4",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Power PC 3.0",
	text: "Veni, a powerhouse in the computer market has announced a Third Installation to the Power Pc Series! So many people are lined up for the launch! Pre-Orders also get a free Blueberry Pi so they can make there own hardwhere.",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/GoPc 3.0.png",
	buttonText: "Great",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding Gameling Colour
// -----------------------------------------------------------
GDT.addPlatform({
	id:"Gameling Colour",
	name:"Gameling Colour",
	company:"Ninvento",
	startAmount:0.05,
	unitsSold:1,
	licencePrize:1E5,
	published:"11/1/1",
	platformRetireDate:"21/1/1",
	developmentCosts:7E4,
	genreWeightings:[  1, 1, 1, 1, 1, 1 ],
	audienceWeightings:[  1, 1, 1 ],
	techLevel:2,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/Gameling Colour.png",
	events:null
	});

// Adding TES Mini
// -----------------------------------------------------------
GDT.addPlatform({
	id:"TES Mini",
	name:"TES Mini",
	company:"Ninvento",
	startAmount:0.3,
	unitsSold:6,
	licencePrize:5E4,
	published:"25/3/1",
	platformRetireDate:"26/3/1",
	developmentCosts:3E4,
	genreWeightings:[  1, 1, 1, 1, 1, 1 ],
	audienceWeightings:[  1, 1, 1 ],
	techLevel:3,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/TES Mini.png",
	events:null
	});

// Adding BlueBox
// -----------------------------------------------------------
GDT.addPlatform({
	id:"BlueBox",
	name:"BlueBox",
	company:"Nox",
	startAmount:2E1,
	unitsSold:2E1,
	licencePrize:5E5,
	published:"24/7/1",
	platformRetireDate:"150/1/1",
	developmentCosts:2E5,
	genreWeightings:[  1, 1, 1, 1, 1, 1 ],
	audienceWeightings:[  1, 1, 1 ],
	techLevel:5,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/BlueBox.png",
	events:[{
	id: "79c02646-46bc-4c25-929c-7cbcef7ec09d",
	date: "24/6/3",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "BlueBox",
	text: "Nox, a newcomer in the console market has announced BlueBox. Its gained mass followers and they hope to sell 15Million units. Nox is a new formed company held together by Vonny and Veni. The bluebox has very high standards and could touple many consoles!",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/BlueBox.png",
	buttonText: "Awesome",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "2e91c774-a12f-4aaf-8460-5235a175b590",
	date: "150/1/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Farewell BlueBox ",
	text: "Nox was running strong with Blue Box infact it sold 102Million Units. Nox has not been making anymore money of it as the sales are low. remind you this came out over 100 years ago. Anyone who still has one is luck to sell one for around $17500.",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/BlueBox.png",
	buttonText: "Cool!",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding PowerPc S
// -----------------------------------------------------------
GDT.addPlatform({
	id:"PowerPc S",
	name:"PowerPc S",
	company:"Veni",
	startAmount:1,
	unitsSold:8,
	licencePrize:4E5,
	published:"19/12/1",
	platformRetireDate:"29/1/1",
	developmentCosts:2E5,
	genreWeightings:[  1, 0.9, 0.9, 1, 0.8, 0.9 ],
	audienceWeightings:[  0.9, 1, 0.8 ],
	techLevel:4,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/PowerPc S.png",
	events:[{
	id: "e4b30c9d-892f-4072-8029-6ff262d09474",
	date: "19/11/3",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Power to us",
	text: "Veni the powerhouse of the market has announced PowerPc Slim. What is it? Its classed as a PC that acts like a laptop but its not! Veni also singed a deal with Micronoft to provide parts.\\nThe Slim has been rated 8.75/10",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/PowerPc S.png",
	buttonText: "Great!",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding PowerPC X
// -----------------------------------------------------------
GDT.addPlatform({
	id:"PowerPC X",
	name:"PowerPC X",
	company:"Veni",
	startAmount:1E1,
	unitsSold:2E1,
	licencePrize:6E5,
	published:"25/4/3",
	platformRetireDate:"68/12/4",
	developmentCosts:4E5,
	genreWeightings:[  1, 0.9, 1, 0.9, 0.9, 1 ],
	audienceWeightings:[  0.9, 1, 1 ],
	techLevel:5,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/PowerPc X.png",
	events:[{
	id: "3e5fd5f1-543b-448c-a2ba-4c635fa5a371",
	date: "25/4/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Power X",
	text: "Veni has done it again! The Power X is a true PC that you can take on the go! Play testers rated it 9.5/10. It can play the ga,es with the best graphics with up to 250FPS.",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/PowerPc X.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding mBox One Z
// -----------------------------------------------------------
GDT.addPlatform({
	id:"mBox One Z",
	name:"mBox One Z",
	company:"Micronoft",
	startAmount:1,
	unitsSold:8,
	licencePrize:5E5,
	published:"26/1/1",
	platformRetireDate:"36/1/1",
	developmentCosts:1E6,
	genreWeightings:[  1, 1, 1, 1, 1, 1 ],
	audienceWeightings:[  1, 1, 1 ],
	techLevel:5,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/mBox One Z.png",
	events:null
	});

// Adding grPhone VI
// -----------------------------------------------------------
GDT.addPlatform({
	id:"grPhone VI",
	name:"grPhone VI",
	company:"Grapple",
	startAmount:3,
	unitsSold:6,
	licencePrize:1E5,
	published:"25/1/1",
	platformRetireDate:"34/1/1",
	developmentCosts:1E5,
	genreWeightings:[  1, 0.7, 0.8, 1, 0.9, 1 ],
	audienceWeightings:[  1, 1, 1 ],
	techLevel:4,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/grPhone VI.png",
	events:null
	});

// Adding PowerPc XL
// -----------------------------------------------------------
GDT.addPlatform({
	id:"PowerPc XL",
	name:"PowerPc XL",
	company:"Veni",
	startAmount:2E1,
	unitsSold:4E1,
	licencePrize:2E6,
	published:"32/1/1",
	platformRetireDate:"10000/12/4",
	developmentCosts:2E5,
	genreWeightings:[  1, 1, 1, 1, 1, 1 ],
	audienceWeightings:[  1, 1, 1 ],
	techLevel:7,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/PowerPc XL.png",
	events:null
	});

// Adding Co-Bax NexT
// -----------------------------------------------------------
GDT.addPlatform({
	id:"Co-Bax NexT",
	name:"Co-Bax NexT",
	company:"Co-Bax",
	startAmount:0.75,
	unitsSold:0,
	licencePrize:1E5,
	published:"9/1/1",
	platformRetireDate:"12/1/1",
	developmentCosts:5E4,
	genreWeightings:[  1, 1, 1, 1, 1, 1 ],
	audienceWeightings:[  1, 1, 1 ],
	techLevel:2,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/Co-Bax NexT.png",
	events:[{
	id: "2f9bee8e-9f66-461b-ae55-39f2d77ee853",
	date: "8/12/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Co-Bax is Back",
	text: "Co-Bax has announced that they have split from Veni in order to work on thier new PC. The Co-Bax NexT is ok and runs smooth. We think it might hold a good marketshare. If all goes to plan Co-Bax will try to take over Veni!",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/Co-Bax NexT.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding HTSea Vivoer
// -----------------------------------------------------------
GDT.addPlatform({
	id:"HTSea Vivoer",
	name:"HTSea Vivoer",
	company:"HTSea",
	startAmount:1E1,
	unitsSold:1E1,
	licencePrize:1E6,
	published:"27/1/1",
	platformRetireDate:"9999/1/1",
	developmentCosts:2E5,
	genreWeightings:[  1, 0.9, 0.7, 1, 0.9, 0.8 ],
	audienceWeightings:[  0.8, 1, 1 ],
	techLevel:6,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/visionview.png",
	events:null
	});

// Adding GrPhone X
// -----------------------------------------------------------
GDT.addPlatform({
	id:"GrPhone X",
	name:"GrPhone X",
	company:"Grapple ",
	startAmount:1E1,
	unitsSold:6,
	licencePrize:2E5,
	published:"27/6/3",
	platformRetireDate:"35/1/1",
	developmentCosts:1E5,
	genreWeightings:[  1, 0.7, 0.8, 0.9, 0.8, 0.9 ],
	audienceWeightings:[  0.9, 1, 0.9 ],
	techLevel:5,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/grPhone X.png",
	events:[{
	id: "44cc3d96-4675-4dc7-a822-7f44845d1301",
	date: "27/6/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "GrPhone X",
	text: "Grapple has announced the GrPhone X today. The Phone will have exclusive titles. It has a biggest screen of all the grPhones however it comes with no home button nor no headphone jack. When presenting it the face id failed to open the phone just like when GrPhone 1 with the Internet back in 2007.",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/grPhone X.png",
	buttonText: "Ok",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding Vena Oasis Mini
// -----------------------------------------------------------
GDT.addPlatform({
	id:"3e13ad78-0fc6-4314-97fd-842f7aee24b0",
	name:"Vena Oasis Mini",
	company:"Vena",
	startAmount:1,
	unitsSold:3,
	licencePrize:7E4,
	published:"26/5/1",
	platformRetireDate:"27/1/1",
	developmentCosts:1E5,
	genreWeightings:[  1, 1, 0.8, 0.7, 0.7, 0.9 ],
	audienceWeightings:[  1, 0.8, 1 ],
	techLevel:2,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/VenaOasis Mini.png",
	events:null
	});

// Adding Super TES Mini
// -----------------------------------------------------------
GDT.addPlatform({
	id:"2775c572-65fd-4fcf-97ec-9af7e2181a25",
	name:"Super TES Mini",
	company:"Ninvento",
	startAmount:0,
	unitsSold:0,
	licencePrize:0,
	published:"27/1/1",
	platformRetireDate:"28/8/1",
	developmentCosts:0,
	genreWeightings:[  1, 0.9, 1, 0.8, 0.8, 0.9 ],
	audienceWeightings:[  1, 0.9, 0.6 ],
	techLevel:1,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/SuperTES Mini.png",
	events:null
	});

// Adding GoBox
// -----------------------------------------------------------
GDT.addPlatform({
	id:"8e663227-d3f9-4bc6-9e01-65787c388502",
	name:"GoBox",
	company:"Co-Bax",
	startAmount:5,
	unitsSold:1E1,
	licencePrize:1E5,
	published:"17/3/1",
	platformRetireDate:"25/1/1",
	developmentCosts:2E5,
	genreWeightings:[  1, 0.7, 1, 0.8, 0.7, 0.7 ],
	audienceWeightings:[  0.9, 1, 1 ],
	techLevel:4,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/GoBox.png",
	events:[{
	id: "968ff030-ed9d-471a-9e08-9c5995d9658a",
	date: "16/12/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Co-Bax Console??",
	text: "Co-Bax has had some failures in the past. The co-bax nexT had an OK market share but failed in the end. However today Co-Bax has returned with this state of the art Video Game Console. Its Specs are outstanding and it has wireless controllers. There are choises that allow for wired controllers aswell all the ports are on the left side of the console. This could really be a game changer. The Console already has 20 games waiting for the consoles Release!",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/GoBox.png",
	buttonText: "Awesome",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding GrPad 2018
// -----------------------------------------------------------
GDT.addPlatform({
	id:"f4967934-9ed3-4bfa-a9f0-480ac60ac48e",
	name:"GrPad 2018",
	company:"Grapple",
	startAmount:9,
	unitsSold:1E1,
	licencePrize:2E5,
	published:"25/10/1",
	platformRetireDate:"23/1/1",
	developmentCosts:1E5,
	genreWeightings:[  0.9, 0.8, 0.7, 1, 0.9, 0.7 ],
	audienceWeightings:[  0.8, 1, 0.9 ],
	techLevel:5,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/GrPAd2018.png",
	events:[{
	id: "13f8a3e0-427b-47be-a1a3-03a44fd54f87",
	date: "25/9/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "New Grapple Pad!",
	text: "Today Grapple have announced the GrPad 2018. The Specs are amazing, this revolutionary device can run huge games. We tested and it can run Calling of Cruty: White Ops 3. This looks like it can take over its previous models. The GrPad 2018 was rated 8.75/10.",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/GrPAd2018.png",
	buttonText: "Cool",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding Trvox
// -----------------------------------------------------------
GDT.addPlatform({
	id:"5e08023d-f824-448c-975e-11878bded6ff",
	name:"Trvox",
	company:"Hisen",
	startAmount:4,
	unitsSold:8,
	licencePrize:2E5,
	published:"24/10/4",
	platformRetireDate:"29/4/2",
	developmentCosts:1E5,
	genreWeightings:[  1, 1, 1, 1, 1, 1 ],
	audienceWeightings:[  1, 1, 1 ],
	techLevel:6,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/HConsole.png",
	events:[{
	id: "a222e431-c019-453f-9636-a09da49a190a",
	date: "25/8/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Hisen Video Game Console",
	text: "Hisen, a hardware company has announced the Trvox, this console looks good but there is one downside... Its all digital. All  the games are on the Trvox store wich infact has 13 launch titles and some on the MBox One or Playsystem 4 cost alot of money... on the Trvox some of those games price is halfed! Trvox is gaining alot of attention right now, its small and its actualy portable because underneath the console is a small pop up screen. This console is so good its been rated 9.75/10 while the playsystem 4 was 9.25/10.",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/HConsole.png",
	buttonText: "Sounds good",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding Espion I-A
// -----------------------------------------------------------
GDT.addPlatform({
	id:"0ab48348-3da5-4a1c-a8f3-71ca03f0018a",
	name:"Espion I-A",
	company:"LoaTex",
	startAmount:3,
	unitsSold:8,
	licencePrize:0,
	published:"20/1/1",
	platformRetireDate:"1/1/1",
	developmentCosts:0,
	genreWeightings:[  0.9, 0.9, 1, 1, 0.7, 0.6 ],
	audienceWeightings:[  0.9, 1, 0.9 ],
	techLevel:5,
	iconUri: NewStudiosTycoon_Xerento.modPath + "/images/platforms/Loatex PC.png",
	events:[{
	id: "993eaadf-de0c-4af1-a177-8cdbd8961a28",
	date: "19/11/4",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "LoaTex Announcing the Espion I-A",
	text: "LoaTex has been in the software business for 2 years now and today they are launching there own PC called the Espion I-A. It is to compete with the Veni Power Pc S and we must say it might get the upper hand. ",
	image: NewStudiosTycoon_Xerento.modPath + "",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});


// ******************************************************************************************
// Events
// ******************************************************************************************

GDT.addEvent({
	id: "18c13fd0-c4a3-43d9-8eaa-41229b322c9e",
	date: "5/2/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Veni Console?",
	text: "Veni sent in this photo to many Game Magizenes. It does not look like a PC and more like a console. If it is we are sure it will do very well on the market!",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/RhinoPlay.png",
	buttonText: "Maybe....",
	weeksUntilFired: 0
	});} 
	});

GDT.addEvent({
	id: "102ae242-ddcb-4974-9b54-8ae7ef7dec6f",
	date: "38/1/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Xaeroz Studios Hit Game",
	text: "Xaeroz Studios a new comer just signed a deal with Veni for exlusive rights to make a game. The game is only for the Power Pc X and the game was rated a whopping 10.25/10 its only been a month since the games release and the game has sold 88Million Copys. Making it the fasted selling game of all time.",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/PowerPc X.png",
	buttonText: "o.o",
	weeksUntilFired: 0
	});} 
	});

GDT.addEvent({
	id: "9422e6be-0a19-4e42-8e3c-c2a88ac7227b",
	date: "64/11/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Veni CEO Passes Away",
	text: "Today Veni CEO Chad Nelson sadly passed away from natural causes. He died peacefully in his home. To honor him Veni Co-Founder David Roberts Will make a PowerPc Classic edition with the CEO's Name printed on it. Chad Nelson will always be remembered. 1969-2055.",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/Veni Logo 2.png",
	buttonText: ":(",
	weeksUntilFired: 0
	});} 
	});

GDT.addEvent({
	id: "ed6a9d58-fe2b-4673-8f2e-4697d5581a29",
	date: "37/3/4",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "MBox Ultimate",
	text: "Micronoft has announced the MBox Ultimate the console has \\n1TB Ram 150TB storage and many more. The future of games is here! It has been rated 11/10",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/RhinoPlay.png",
	buttonText: "...Sounds fake...",
	weeksUntilFired: 0
	});} 
	});

GDT.addEvent({
	id: "a2061757-63ec-4ee7-ae25-8d5442fac11c",
	date: "27/1/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Co-Bax Bankrupt",
	text: "Co-Bax has went bankrupt. The company failed to introduce higher tech hardware and only one hardware made it out after GoBox and that was the XiaBox but it only launched in the UK and it sold poorly. The company had many downs but will be remembered for the GoBox.",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/icon_notification_bancruptcy.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	});

GDT.addEvent({
	id: "872c9e4d-6bdb-47b1-b14c-fa506892baea",
	date: "27/11/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Micronoft MBox Failing",
	text: "13 years ago Micronoft had the leading marketshare in consoles. This is in 2018 The Latest MBox, MBox One and its other versions MBox One S and MBox One Z have sold poorer only bringing in 33million sales. Micronoft may bring out one last console we dont know what will happen if the Mbox Series.",
	image: NewStudiosTycoon_Xerento.modPath + "/images/notifications/icon_notification_local_news_and_media.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	});


// ******************************************************************************************
// Achievements
// ******************************************************************************************

// Adding 5 Games!
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "186926e7-a075-4f6e-b082-d8c9ff5af11a",
	title: "5 Games!",
	description: "Make 5 Games!",
	tint: "#548DD4",
	value: 250,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.gameLog.length >= 5;

						return res;
				}
	}));


})();
